<?xml version="1.0" encoding="UTF-8"?>

<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:image="http://www.google.com/schemas/sitemap-image/1.1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9 http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd">

	{% for url in urls %}
		{% set root = '/' ~ app.request.locale ~ '//' %}
		<url>
			{# We verify if the hostname is available in the url #}
			{# If not, we add it #}
				<loc>
					{% if url.loc == root %}

					{% set localRoot = '/' ~ app.request.locale ~  '/' %}

					{{ hostname ~ localRoot  }}
				{% elseif url.loc|replace({hostname:''}) == url.loc %}
					{{ hostname }}{{ url.loc }}
				{% else %}
					{{ url.loc }}
				{% endif %}
			</loc>

			{# If there is a modification date #}
			{% if url.lastmod is defined %}
				<lastmod>{{url.lastmod}}</lastmod>
			{% endif %}


			{% if url.changefreq is defined %}
				<changefreq>{{url.changefreq}}</changefreq>
			{% endif %}

			{# if there is a priority #}
			{% if url.priority is defined %}
				<priority>{{url.priority}}</priority>
			{% endif %}

			{# If there is an image #}
			{% if url.image is defined and url.image is not empty %}
				<image:image>
					<image:loc>
						{% if url.image.loc|replace({hostname:''}) == url.image.loc%}
							{{ hostname ~ '/' ~ url.image.loc }}
						{% else %}
							{{url.image.loc}}
						{% endif %}
					</image:loc>
					<image:title>{{ url.image.title }}</image:title>
				</image:image>
			{% endif %}
		</url>
	{% endfor %}
</urlset>
